Changeset 17708


Ignore:
Timestamp:
2009-09-24T22:34:45+02:00 (7 years ago)
Author:
florian
Message:

[package] update bind to 9.6.1-P1 (#5888)

Location:
packages/net/bind
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • packages/net/bind/Makefile

    r17024 r17708  
    99 
    1010PKG_NAME:=bind 
    11 PKG_VERSION:=9.6.0-P1 
     11PKG_VERSION:=9.6.1-P1 
    1212PKG_RELEASE:=1 
    1313 
     
    1616        ftp://ftp.isc.org/isc/bind9/$(PKG_VERSION) \ 
    1717        http://www.mirrorservice.org/sites/ftp.isc.org/isc/bind9/$(PKG_VERSION) 
    18 PKG_MD5SUM:=886b7eae55cfdc8cd8d2ca74a2f99c6e 
     18PKG_MD5SUM:=e6ce3b355c4e6bf5d66ef100f555da3f 
    1919 
    2020include $(INCLUDE_DIR)/package.mk 
     
    5151  TITLE+= administration tools (all) 
    5252endef 
    53    
     53 
    5454define Package/bind-rndc 
    5555  $(call Package/bind/Default) 
     
    100100                gen 
    101101        $(MAKE) -C $(PKG_BUILD_DIR) \ 
    102         DESTDIR="$(PKG_INSTALL_DIR)" \ 
    103102                DESTDIR="$(PKG_INSTALL_DIR)" \ 
    104103                all install 
  • packages/net/bind/patches/100-cross_compile.patch

    r17024 r17708  
    1 Index: bind-9.6.0-P1/configure 
    2 =================================================================== 
    3 --- bind-9.6.0-P1.orig/configure        2008-05-06 02:33:33.000000000 +0100 
    4 +++ bind-9.6.0-P1/configure     2008-07-12 08:23:25.000000000 +0100 
    5 @@ -5449,8 +5449,7 @@ 
    6    { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     1--- a/configure 
     2+++ b/configure 
     3@@ -22023,8 +22023,7 @@ $as_echo_n "checking epoll support... "  
     4   { { $as_echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
    75 See \`config.log' for more details." >&5 
    8  echo "$as_me: error: cannot run test program while cross compiling 
     6 $as_echo "$as_me: error: cannot run test program while cross compiling 
    97-See \`config.log' for more details." >&2;} 
    108-   { (exit 1); exit 1; }; } 
     
    1311   cat >conftest.$ac_ext <<_ACEOF 
    1412 /* confdefs.h.  */ 
    15 @@ -6791,8 +6790,7 @@ 
     13@@ -23564,8 +23563,7 @@ if { as_var=$as_ac_File; eval "test \"\$ 
    1614 else 
    1715   test "$cross_compiling" = yes && 
    18    { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5 
    19 -echo "$as_me: error: cannot check for file existence when cross compiling" >&2;} 
     16   { { $as_echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5 
     17-$as_echo "$as_me: error: cannot check for file existence when cross compiling" >&2;} 
    2018-   { (exit 1); exit 1; }; } 
    21 +echo "$as_me: error: cannot check for file existence when cross compiling" >&2;} } 
     19+$as_echo "$as_me: error: cannot check for file existence when cross compiling" >&2;} } 
    2220 if test -r "$devrandom"; then 
    2321   eval "$as_ac_File=yes" 
    2422 else 
    25 @@ -25535,195 +25533,6 @@ 
     23@@ -27069,73 +27067,6 @@ rm -f core conftest.err conftest.$ac_obj 
    2624 # which provides some (all?) of the desired functions. 
    2725 # 
    2826  
    29 -{ echo "$as_me:$LINENO: checking for inet_ntop with IPv6 support" >&5 
    30 -echo $ECHO_N "checking for inet_ntop with IPv6 support... $ECHO_C" >&6; } 
     27-{ $as_echo "$as_me:$LINENO: checking for inet_ntop with IPv6 support" >&5 
     28-$as_echo_n "checking for inet_ntop with IPv6 support... " >&6; } 
    3129-if test "$cross_compiling" = yes; then 
    32 -  { echo "$as_me:$LINENO: result: assuming inet_ntop needed" >&5 
    33 -echo "${ECHO_T}assuming inet_ntop needed" >&6; } 
     30-  { $as_echo "$as_me:$LINENO: result: assuming inet_ntop needed" >&5 
     31-$as_echo "assuming inet_ntop needed" >&6; } 
    3432-       ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_ntop.$O" 
    3533-       ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_ntop.c" 
     
    5654-  *) ac_try_echo=$ac_try;; 
    5755-esac 
    58 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     56-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\"" 
     57-$as_echo "$ac_try_echo") >&5 
    5958-  (eval "$ac_link") 2>&5 
    6059-  ac_status=$? 
    61 echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     60$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    6261-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    6362-  { (case "(($ac_try" in 
     
    6564-  *) ac_try_echo=$ac_try;; 
    6665-esac 
    67 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     66-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\"" 
     67-$as_echo "$ac_try_echo") >&5 
    6868-  (eval "$ac_try") 2>&5 
    6969-  ac_status=$? 
    70 echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     70$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    7171-  (exit $ac_status); }; }; then 
    72 -  { echo "$as_me:$LINENO: result: yes" >&5 
    73 -echo "${ECHO_T}yes" >&6; } 
     72-  { $as_echo "$as_me:$LINENO: result: yes" >&5 
     73-$as_echo "yes" >&6; } 
    7474-       ISC_PLATFORM_NEEDNTOP="#undef ISC_PLATFORM_NEEDNTOP" 
    7575-else 
    76 echo "$as_me: program exited with status $ac_status" >&5 
    77 -echo "$as_me: failed program was:" >&5 
     76$as_echo "$as_me: program exited with status $ac_status" >&5 
     77-$as_echo "$as_me: failed program was:" >&5 
    7878-sed 's/^/| /' conftest.$ac_ext >&5 
    7979- 
    8080-( exit $ac_status ) 
    81 -{ echo "$as_me:$LINENO: result: no" >&5 
    82 -echo "${ECHO_T}no" >&6; } 
     81-{ $as_echo "$as_me:$LINENO: result: no" >&5 
     82-$as_echo "no" >&6; } 
    8383-       ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_ntop.$O" 
    8484-       ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_ntop.c" 
    8585-       ISC_PLATFORM_NEEDNTOP="#define ISC_PLATFORM_NEEDNTOP 1" 
    8686-fi 
     87-rm -rf conftest.dSYM 
    8788-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
    8889-fi 
     
    9192- 
    9293- 
    93 -# On NetBSD 1.4.2 and maybe others, inet_pton() incorrectly accepts 
    94 -# addresses with less than four octets, like "1.2.3".  Also leading 
    95 -# zeros should also be rejected. 
    96 - 
    97 -{ echo "$as_me:$LINENO: checking for working inet_pton with IPv6 support" >&5 
    98 -echo $ECHO_N "checking for working inet_pton with IPv6 support... $ECHO_C" >&6; } 
    99 -if test "$cross_compiling" = yes; then 
    100 -  { echo "$as_me:$LINENO: result: assuming target platform has working inet_pton" >&5 
    101 -echo "${ECHO_T}assuming target platform has working inet_pton" >&6; } 
    102 -       ISC_PLATFORM_NEEDPTON="#undef ISC_PLATFORM_NEEDPTON" 
    103 -else 
    104 -  cat >conftest.$ac_ext <<_ACEOF 
    105 -/* confdefs.h.  */ 
    106 -_ACEOF 
    107 -cat confdefs.h >>conftest.$ac_ext 
    108 -cat >>conftest.$ac_ext <<_ACEOF 
    109 -/* end confdefs.h.  */ 
    110 - 
    111 -#include <sys/types.h> 
    112 -#include <sys/socket.h> 
    113 -#include <netinet/in.h> 
    114 -#include <arpa/inet.h> 
    115 -main() { char a[16]; return (inet_pton(AF_INET, "1.2.3", a) == 1 ? 1 : 
    116 -                            inet_pton(AF_INET, "1.2.3.04", a) == 1 ? 1 : 
    117 -                            (inet_pton(AF_INET6, "::1.2.3.4", a) != 1)); } 
    118 -_ACEOF 
    119 -rm -f conftest$ac_exeext 
    120 -if { (ac_try="$ac_link" 
    121 -case "(($ac_try" in 
    122 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    123 -  *) ac_try_echo=$ac_try;; 
    124 -esac 
    125 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    126 -  (eval "$ac_link") 2>&5 
    127 -  ac_status=$? 
    128 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    129 -  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    130 -  { (case "(($ac_try" in 
    131 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    132 -  *) ac_try_echo=$ac_try;; 
    133 -esac 
    134 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    135 -  (eval "$ac_try") 2>&5 
    136 -  ac_status=$? 
    137 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    138 -  (exit $ac_status); }; }; then 
    139 -  { echo "$as_me:$LINENO: result: yes" >&5 
    140 -echo "${ECHO_T}yes" >&6; } 
    141 -       ISC_PLATFORM_NEEDPTON="#undef ISC_PLATFORM_NEEDPTON" 
    142 -else 
    143 -  echo "$as_me: program exited with status $ac_status" >&5 
    144 -echo "$as_me: failed program was:" >&5 
    145 -sed 's/^/| /' conftest.$ac_ext >&5 
    146 - 
    147 -( exit $ac_status ) 
    148 -{ echo "$as_me:$LINENO: result: no" >&5 
    149 -echo "${ECHO_T}no" >&6; } 
    150 -       ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_pton.$O" 
    151 -       ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_pton.c" 
    152 -       ISC_PLATFORM_NEEDPTON="#define ISC_PLATFORM_NEEDPTON 1" 
    153 -fi 
    154 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
    155 -fi 
    156 - 
    157 - 
    158 - 
    159 -{ echo "$as_me:$LINENO: checking for inet_aton" >&5 
    160 -echo $ECHO_N "checking for inet_aton... $ECHO_C" >&6; } 
    161 -cat >conftest.$ac_ext <<_ACEOF 
    162 -/* confdefs.h.  */ 
    163 -_ACEOF 
    164 -cat confdefs.h >>conftest.$ac_ext 
    165 -cat >>conftest.$ac_ext <<_ACEOF 
    166 -/* end confdefs.h.  */ 
    167 - 
    168 -#include <sys/types.h> 
    169 -#include <netinet/in.h> 
    170 -#include <arpa/inet.h> 
    171 -int 
    172 -main () 
    173 -{ 
    174 -struct in_addr in; inet_aton(0, &in); return (0); 
    175 -  ; 
    176 -  return 0; 
    177 -} 
    178 -_ACEOF 
    179 -rm -f conftest.$ac_objext conftest$ac_exeext 
    180 -if { (ac_try="$ac_link" 
    181 -case "(($ac_try" in 
    182 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
    183 -  *) ac_try_echo=$ac_try;; 
    184 -esac 
    185 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
    186 -  (eval "$ac_link") 2>conftest.er1 
    187 -  ac_status=$? 
    188 -  grep -v '^ *+' conftest.er1 >conftest.err 
    189 -  rm -f conftest.er1 
    190 -  cat conftest.err >&5 
    191 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    192 -  (exit $ac_status); } && { 
    193 -        test -z "$ac_c_werror_flag" || 
    194 -        test ! -s conftest.err 
    195 -       } && test -s conftest$ac_exeext && 
    196 -       $as_test_x conftest$ac_exeext; then 
    197 -  { echo "$as_me:$LINENO: result: yes" >&5 
    198 -echo "${ECHO_T}yes" >&6; } 
    199 -       ISC_PLATFORM_NEEDATON="#undef ISC_PLATFORM_NEEDATON" 
    200 -else 
    201 -  echo "$as_me: failed program was:" >&5 
    202 -sed 's/^/| /' conftest.$ac_ext >&5 
    203 - 
    204 -       { echo "$as_me:$LINENO: result: no" >&5 
    205 -echo "${ECHO_T}no" >&6; } 
    206 -       ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_aton.$O" 
    207 -       ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_aton.c" 
    208 -       ISC_PLATFORM_NEEDATON="#define ISC_PLATFORM_NEEDATON 1" 
    209 -fi 
    210 - 
    211 -rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 
    212 -      conftest$ac_exeext conftest.$ac_ext 
    213 - 
    214 - 
    215 - 
    216 - 
    217 - 
    218  # 
    219  # Look for a 4.4BSD-style sa_len member in struct sockaddr. 
    220  # 
     94 # On NetBSD 1.4.2 and maybe others, inet_pton() incorrectly accepts 
     95 # addresses with less than four octets, like "1.2.3".  Also leading 
     96 # zeros should also be rejected. 
Note: See TracChangeset for help on using the changeset viewer.